<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>
    <title>{% block title %}Main page{% endblock %}</title>
    {% block stylesheets %}
        {#<link rel="stylesheet" href="{{ asset() }}">#}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
    {% endblock %}
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}"/>
    <!--I can't include css files to it template-->
    {% block styles %}
        <style>
            .header{
                border-radius: 0;
            }
            .footer{
                position: absolute;
                bottom: 0;
                padding: 30px;
                background: whitesmoke;
                width: 100%;
            }
        </style>
    {% endblock %}
</head>
<body>

{% block header %}

    <nav class="navbar navbar-inverse header">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#">{{ 'homework' | trans }}</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="active"><a href="#">{{ 'link_1' | trans }}<span class="sr-only">(current)</span></a></li>
                    <li><a href="#">{{ 'link_2' | trans }}</a></li>
                    {% block new_button %} {% endblock %}
                </ul>
                <form class="navbar-form navbar-right">
                    <div class="form-group">
                        <input type="text" class="form-control" placeholder="{{ 'search' | trans }}">
                    </div>
                    <button type="submit" class="btn btn-default">{{ 'find' | trans }}</button>
                </form>
                {% if app.user %}
                    <a href="{{ logout_path('main') }}" style="margin-left: 15px;" type="button" class="btn btn-primary custom_button">Logout</a>
                {% endif %}
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->

    </nav>

{% endblock %}

{% block body %}

    <div class="container">
        <table class="table">
            {% block tablecontent %}

            {% endblock %}
        </table>
    </div>

{% endblock %}


{% block footer %}
    <footer class="footer">
        <div class="container">
            <span class="text-muted">{{ 'base_footer' | trans }}</span>
        </div>
    </footer>
{% endblock %}


{% block javascripts %}
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
{% endblock %}

</body>
</html>
